/*
  MySQL SQL query script for Tournament database
  Designed for MariaDB RDBMS

  Author:
    Pekka Helenius <fincer89 [at] hotmail [dot] com>
    2019
*/

-- -----------------------------------------------------
/* Assumes that database 'tournament_db' exists */
USE tournament_db;

-- -----------------------------------------------------
-- Drop tables in reverse order compared to CREATE TABLE
-- due to foreign key constraints/(public key) relations
-- -----------------------------------------------------

DROP TABLE IF EXISTS BETTING;
DROP TABLE IF EXISTS BETTOR;

DROP TABLE IF EXISTS TEAM_RANK_GLOBAL;
DROP TABLE IF EXISTS PLAYER_RANK;
DROP TABLE IF EXISTS TEAM_STATUS;

DROP TABLE IF EXISTS ARRANGEMENT;
DROP TABLE IF EXISTS RESERVATION;

DROP TABLE IF EXISTS EVENT;
DROP TABLE IF EXISTS CLUBROOM;

DROP TABLE IF EXISTS ORGANIZER_EMPLOYEE;
DROP TABLE IF EXISTS ORGANIZER_ORG;

DROP TABLE IF EXISTS PLAYER;
DROP TABLE IF EXISTS TEAM;

DROP TABLE IF EXISTS CITY;
DROP TABLE IF EXISTS COUNTRY;

-- -----------------------------------------------------
-- Drop the database schema
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS tournament_db;
