# Tournament database project

A SQL/database project work

## About

This project aims to create a database model for chess and board game tournament events where multiple teams play against each other. Each team has multiple members with simple ranking system. Each event can take place either in a virtual environment (online game) or in a physical location. This database model defines necessary tables, attributes and relations for this set.

### Project Technical Goals

The following list describes requirements for the project:

- Class diagram

- Relation diagram

- Relation schema

- Data dictionaries for relation & class models

- Database normalization from 0NF to 3NF

- Database permission policy

- SQL query files for `SELECT, INSERT, DROP, ALTER, UPDATE, DELETE` and various `JOIN` queries

  - For testing purposes (database integrity, scalability etc.)

![](Images/relationschema-mysql_tournamentservice.png)

_Sample relation model/diagram, version 0.1. Date: 09th November, 2019 (MySQL Workbench)_

![](Images/relationschema_tournamentservice.png)

_Sample relation model/diagram, version 0.1. Date: 09th November, 2019 (Microsoft Visio 2010)_

## Project members

- [Pekka Helenius](https://github.com/Fincer)
